export type AuthTokens = {
    accessExpiresIn?: number;
    accessToken?: string;
    idToken?: string;
    refreshExpiresIn?: number;
    refreshToken?: string;
    sessionState?: string;
};
export type AuthAttributes<T = unknown> = T & {
    accessExpiresTime?: string;
    authenticated?: boolean;
    refreshExpiresTime?: string;
} & AuthTokens;
export type ModifyAuthAttributePayload<T = unknown> = {
    key: keyof AuthAttributes<T>;
    value: any;
};
export type AuthRootState<T = any> = {
    procyon: {
        auth: AuthAttributes<T>;
    };
};
export type UseLoginParams = {
    authEndpoint: string;
    baseUrl: string;
    clientId: string;
    logoutEndpoint: string;
    redirectUri: string;
    tokenEndpoint: string;
};
export type UseFetchTokensParams = Pick<UseLoginParams, 'baseUrl' | 'tokenEndpoint' | 'clientId'> & {
    code: string;
    grantType: 'authorization_code';
    redirectUri: string;
};
